WordPress.org

Forums

Gianism
PHP5.2.XXで使うようにするのは可能でしょうか? (7 posts)

  1. NANOPASS
    Member
    Posted 1 year ago #

    初めまして、GianismをDLさせて頂きました。
    WP3.8.1+Buddypress1.9.1で構成しており、借りているサーバーにてインストールしたら
    PHPのバージョンが古い為、利用できず困っています。 PHP5.2で利用できるようにできない
    でしょうか?

    本来ならサーバー側にPHPのバージョンアップをお願いするべきなのですがPHPのバージョン
    を上げる予定はないと言われてどうする事もできません。

    どうかよろしくお願い致します。

    https://wordpress.org/plugins/gianism/

  2. Takahashi Fumiki
    Member
    Plugin Author

    Posted 1 year ago #

    残念ながら、今後GianismはPHP5.2に対応していく予定はありません。
    以下のリンクから1.3.1をダウンロードし、それを利用してください。

    Unfortunately, Gianism won't support PHP 5.2.
    Please download 1.3.1 and use it.

    https://wordpress.org/plugins/gianism/developers/

  3. NANOPASS
    Member
    Posted 1 year ago #

    ご説明して頂き誠に有り難うございます。
    Gianism Ver1.3.1をダウンロードし無事にインストールする事ができました。

    Google+とYahoo!JAPANの設定を行い動作確認を行いましたが、エラーが表示され正常に
    ログインする事ができませんでした。
    ※Google+のエラーはスラッシュを変更する事でエラー表示が無くなりました。

    Google+のエラー文
    Warning: preg_match() [function.preg-match]: Unknown modifier '/' in /var/www/home/hogehoge/public_html/hogehoge.com/wp-content/plugins/gianism/sdks/google/google_controller.php on line 308

    if($url && preg_match("/^".str_replace("http://", 'https?:\/\/', str_replace('https:', 'http:', home_url()))."/u", $url)){
    
    上記を下記に変更
    if($url && preg_match("{".str_replace("http://", 'https?:\/\/', str_replace('https:', 'http:', home_url()))."}", $url)){

    Yahoo!JAPANのエラー文
    Warning: implode() [function.implode]: Invalid arguments passed in /var/www/home/hogehoge/public_html/hogehoge.com/wp-content/plugins/gianism/sdks/yahoo/lib/YConnectClient.php on line 135

    Warning: Cannot modify header information - headers already sent by (output started at /var/www/home/hogehoge/public_html/hogehoge.com/wp-content/plugins/gianism/sdks/yahoo/lib/YConnectClient.php:135) in /var/www/home/hogehoge/public_html/hogehoge.com/wp-content/plugins/gianism/sdks/yahoo/lib/OAuth2AuthorizationClient.php on line 80

    >残念ながら、今後GianismはPHP5.2に対応していく予定はありません。

    PHP5.2には対応しないと言っておられるのに誠に申し訳けないと思いますが、Yahoo!JAPANのエラーを直すヒントを頂けないでしょうか?

    どうかよろしくお願いします。

  4. Takahashi Fumiki
    Member
    Plugin Author

    Posted 1 year ago #

    画面にWarningと出ているということは、開発環境とか設定がおかしなサーバだと思われます。
    そのエラーが出るとリダイレクトされないので、止まってしまいます。
    2.0.1では修正済みだと思いますが、Warningエラーは次の方法で抑止できます。

    Displaying Warning message, you seem to be using it on developing environment or on miss-set server.
    That error message stops redirecting.
    Fixed on 2.0.1, but you can restrain it like below:

    http://myboom.mkch.net/modules/pukiwiki/122.html

  5. NANOPASS
    Member
    Posted 1 year ago #

    対応して頂き感謝します。
    Warningエラーをphp.iniで非表示にする事でYahoo!JAPANにリダイレクトできるように
    なりましたが、Yahoo!JAPANの設定を行いログインさせると白画面のままになり、リロード
    すると「Yahoo!との接続ができません出した」と表示されます。

    サーバーのエラーログを確認すると下記のエラーがありました。

    [YConnect][ERROR]failed curl_exec(HttpClient::requestGet)

    [YConnect][ERROR]fnvalid_request(OAuth2AuthorizationCodeClient::fetchToken)

    OpenID関連の掲示板などでエラーの意味や対処方法を調べているのですが原因が分からず
    困っています。

  6. Takahashi Fumiki
    Member
    Plugin Author

    Posted 1 year ago #

    1回目の真っ白が原因ですね。
    リロードした場合、すでにセッションが破棄されているので、失敗するのは必然なんですよ。
    [YConnect][ERROR]という表現はたぶんライブラリが吐いているエラーなので、そこで処理は止まらないはずです。
    真っ白になった原因は、リロードする直前に出ていると思うので、[YConnect][Error]の直前に「Fatal Error」とかいう行がないかどうか、調べてみてください。

    1st white out is the reason.
    When you reload, session is already destroyed and the connection will always fail.

    [YConnect][ERROR] is the message from library, so it isn't the one which stops process.
    The reason of white out could be logged at the moment before reloading, please survey log "Fatal Error" above [YConnect][Error].

  7. NANOPASS
    Member
    Posted 1 year ago #

    「Fatal Error」はでていません。

    yahoo!でログインをクリックすると下記のエラーが表示されます。
    [YConnect] [ERROR] failed curl_exec(HttpClient::requestGet)

    リロードすると下記のエラーが表示されポップアップで「Yahoo!JAPANに接続できません 時間を
    あけてもう一度お試し下さい。」と表示が出てきます。

    [YConnect] [ERROR] invalid_request(OAuth2AuthorizationCodeClient::fetchToken)
    - token is invalid.

    諦めた方が良いのかな・・・

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • Gianism
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic

Tags

No tags yet.